package com.ssj.service.conch.teacher.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author yrf
 * @date 2019/6/27 10:51
 */
public class AppInfoDTO implements Serializable {

    private static final long serialVersionUID = 4131119760014143535L;

    /**
     * 版本号
     */
    private String version;
    /**
     * 版本存放路径
     */
    private String fileKey;
    /**
     * 版本类型
     */
    private String versionType;
    /**
     * 发布次数
     */
    private Long issueNum;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 是否需要升级
     */
    private int needUpdate;
    /**
     * 更新内容
     */
    private String updateContent;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public String getVersionType() {
        return versionType;
    }

    public void setVersionType(String versionType) {
        this.versionType = versionType;
    }

    public Long getIssueNum() {
        return issueNum;
    }

    public void setIssueNum(Long issueNum) {
        this.issueNum = issueNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getNeedUpdate() {
        return needUpdate;
    }

    public void setNeedUpdate(int needUpdate) {
        this.needUpdate = needUpdate;
    }

    public String getUpdateContent() {
        return updateContent;
    }

    public void setUpdateContent(String updateContent) {
        this.updateContent = updateContent;
    }

}
